Index: sansguiframe/src/sans/guiframe/data_processor.py
===================================================================
--- sansguiframe/src/sans/guiframe/data_processor.py	(revision fe98127dc4cdf472c21b171e964fc05d1a118cd7)
+++ sansguiframe/src/sans/guiframe/data_processor.py	(revision b18cf3d5c48cb957729549153ce45898294bacb9)
@@ -218,4 +218,15 @@
         label = self.GetCellValue(row, col)
         self.insert_col_menu(col_label_menu, label, self)
+        
+        
+        col_after_menu  = wx.Menu()
+        label = "Insert column after %s " % str(c_name)
+        slicerpop.AppendSubMenu(col_after_menu , 
+                                 '&%s' % str(label), str(label))
+        col_name = [self.GetCellValue(0, c) 
+                        for c in range(self.GetNumberCols())]
+        self.insert_after_col_menu(col_after_menu, label, self)
+        
+        
         id = wx.NewId()    
         hint = 'Remove selected column %s'
@@ -247,5 +258,23 @@
                 wx.EVT_MENU(window, id, self.on_insert_column)
             
-                
+    def insert_after_col_menu(self, menu, label, window):
+        """
+        """
+        id = wx.NewId()
+        title = "Empty"
+        hint = 'Insert empty column after %s' % str(label)
+        menu.Append(id, title, hint)
+        wx.EVT_MENU(window, id, self.on_insert_after_column)
+        row = 0
+        col_name = [self.GetCellValue(row, col) 
+                        for col in range(self.GetNumberCols())]
+        for c_name in self.data.keys():
+            if c_name not in col_name:
+                id = wx.NewId()
+                hint = "Insert %s column after the " % str(c_name)
+                hint += " %s column" % str(label)
+                menu.Append(id, '&%s' % str(c_name), hint)
+                wx.EVT_MENU(window, id, self.on_insert_after_column)
+                               
     def on_remove_column(self, event=None):
         """
@@ -289,4 +318,18 @@
                 col += 1
                 self.selected_cols[0] += 1
+                
+    def on_insert_after_column(self, event):
+        """
+        Insert the given column after the highlighted column
+        """
+        if self.selected_cols is not None or len(self.selected_cols) > 0:
+            col = self.selected_cols[0] + 1
+            # add data to the grid    
+            row = 0
+            id = event.GetId()
+            col_name = event.GetEventObject().GetLabelText(id)
+            self.insert_column(col=col, col_name=col_name)
+            if  not issubclass(event.GetEventObject().__class__ , wx.Menu):
+                self.selected_cols[0] += 1
            
     def insert_column(self, col, col_name):
@@ -302,7 +345,12 @@
             cell_row =  1
             for value in value_list:
-                self.SetCellValue(cell_row, col, str(value))
+                label = format_number(value, high=True)
+                self.SetCellValue(cell_row, col, str(label))
                 cell_row += 1
-       
+        self.AutoSizeColumn(col, True)
+        width = self.GetColSize(col)
+        if width < self.default_col_width:
+           self.SetColSize(col, self.default_col_width)
+        self.ForceRefresh()
         
     def on_set_x_axis(self, event):
@@ -720,6 +768,6 @@
                             if label.lower() in ["data", "chi2"]:
                                 if len(grid.selected_cells) != 1:
-                                    msg = "Can only view one"
-                                    msg += " selected data at once"
+                                    msg = "2D View: Please select one data set"
+                                    msg += " at a time to view."
                                     wx.PostEvent(self.parent.parent, 
                                                  StatusEvent(status=msg,
@@ -836,6 +884,10 @@
         self.y_axis_unit = wx.TextCtrl(self, -1)
         self.view_button = wx.Button(self, -1, "View Results")
+        view_tip = "Highlight data sets or Chi2 column first."
+        self.view_button.SetToolTipString(view_tip)
         wx.EVT_BUTTON(self, self.view_button.GetId(), self.on_view)
         self.plot_button = wx.Button(self, -1, "Plot")
+        plot_tip = "Highlight column for axis and click the Add button first."
+        self.plot_button.SetToolTipString(plot_tip)
         self.button_sizer.AddMany( [ (500, 30),
                                 (self.view_button, 0, wx.RIGHT|wx.BOTTOM, 10),
